#ifndef CLIENTKITAPI_H
#define CLIENTKITAPI_H

class MainWindow;

#include "p4api.h"
#include "systemapi.h"
#include "guiapi.h"

#include <QObject>
#include <QMap>
#include <QObjectList>
#include <QStringList>
#include <QFileDialog>

class ClientKitApi : public QObject
{
    Q_OBJECT
    Q_PROPERTY(QObject* p4 READ p4Api)
    Q_PROPERTY(QObject* system READ systemApi)
    Q_PROPERTY(QObject* gui READ guiApi)

public:
    explicit ClientKitApi(MainWindow* mw = 0);

    QObject* p4Api();
    QObject* systemApi();
    QObject* guiApi();

    Q_INVOKABLE QString getVersion() {return "v0.2";}

signals:
    
public slots:

private:
    P4Api* m_P4Api;
    SystemApi* m_SystemApi;
    GuiApi* m_GuiApi;
};

#endif // CLIENTKITAPI_H
